%define upstream_name	 XML-SAX
%define upstream_version 0.99

# skipping requires on perl modules not in perl-base but in perl pkg
# those requires are only used by PurePerl module, whereas we often use perl-XML-LibXML
# this is useful to ensure urpmi only need perl-base, not perl
%define _requires_exceptions perl(File::Temp)\\|perl(Encode)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple API for XML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Source1:    ParserDetails.ini

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(XML::NamespaceSupport) >= 0.30.0
BuildRequires: perl(XML::SAX::Base) >= 1.50.0
BuildArch:  noarch

Provides:   perl(XML::SAX::PurePerl::DTDDecls)
Provides:   perl(XML::SAX::PurePerl::DocType)
Provides:   perl(XML::SAX::PurePerl::EncodingDetect)
Provides:   perl(XML::SAX::PurePerl::XMLDecl)


%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes LICENSE README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
N
EOF
%make

%check
%make test

%install
%makeinstall_std PERL="perl -I%{buildroot}%{perl_vendorlib}/"
install -m 0644 %{_sourcedir}/ParserDetails.ini %{buildroot}%{perl_vendorlib}/XML/SAX/

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.yml MYMETA.yml README SAX
%{perl_vendorlib}/XML
%{_mandir}/man3/XML::*.3*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.990.0-3.mga3
+ Revision: 375175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 jquelin <jquelin> 0.990.0-2.mga2
+ Revision: 223033
- adding source1
- ship ParserDetails.ini instead of altering it at un/install time (mga#2284)

* Mon Sep 26 2011 jquelin <jquelin> 0.990.0-1.mga2
+ Revision: 148527
- update to 0.99

* Wed Jan 19 2011 jquelin <jquelin> 0.960.0-1.mga1
+ Revision: 24262
- fix specs
- imported package perl-XML-SAX

  + spuhler <spuhler>
    - removed buildroot definition from .spec
      commented the if mdkversion lines

